Subject: RE: [Sip] Connection: Keep-Alive

From: "Chris Boulton" <[email-masked]>
Date: Thu, 13 Nov 2003 12:49:57 -0000

I also agree that a document is important.  The consensus in the room yesterday was am emphasis on TCP usage due to the known limitations of UDP.  Some form of BCP might go a long way to promoting it's currently limited usage.
 
Chris.

	-----Original Message----- 
	From: Jonathan Rosenberg [mailto:[email-masked]] 
	Sent: Thu 13/11/2003 07:42 
	To: [email-masked] 
	Cc: 'Vijay K. Gurbani'; 'Christian Stredicke'; [email-masked]; [email-masked] 
	Subject: Re: [Sip] Connection: Keep-Alive

	Sorry for not being clear - I wasnt saying we DONT want a document. At
	the meeting today, I advocated (and I think many others agreed) for
	creation of a document. In particular, I think it makes sense to have
	a proposed standard document that describes all of the issues with
	getting tcp to work. This would presumably be an expansion of the
	existing connect-reuse draft. It needs to be PS since there is
	normative behavior associated with many parts of it.
	
	-Jonathan R.
	
	Sean Olson wrote:
	
	> Actually, many implementations are not doing this unfortunately. A BCP is
	> not a bad idea.
	>
	> -----Original Message-----
	> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jonathan
	> Rosenberg
	> Sent: Wednesday, November 12, 2003 11:12 PM
	> To: Vijay K. Gurbani
	> Cc: Christian Stredicke; [email-masked]; [email-masked]
	> Subject: Re: [Sip] Connection: Keep-Alive
	>
	>
	>
	> Vijay K. Gurbani wrote:
	>
	>
	>
	>>>In any case the behavior of the UAC as well as the proxy needs to be
	>>>(re)defined, I think the current TCP specification does not allow a
	>>>permanent connection.
	>>>
	>>>Any thoughts on this?
	>>
	>>
	>>At the Atlanta IETF, it was decided that we will open a bug against
	>>rfc3261 to provide more information on TCP connection handling.
	>
	>
	> Well, in particular, it was concluded that signaling "please keep this
	> connection open" was not needed at all. Rather, the server should keep the
	> connection open as long as it could, and only close it if it ran out of
	> resources. Since there was no benefit to closing it prematurely (extra costs
	> of setting it up again), and since signaling the desire for persistence
	> could not be used to force the server to keep it open if the server ran out
	> of resources, the signaling was not needed.
	> Indeed, the observation was that many implementations in any case were doing
	> this; it was just unclear in the spec.
	>
	> -Jonathan R.
	>
	
	--
	Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
	Chief Technology Officer                    Parsippany, NJ 07054-2711
	dynamicsoft
	[email-masked]                     FAX:   (973) 952-5050
	http://www.jdrosen.net                      PHONE: (973) 952-5000
	http://www.dynamicsoft.com

	_______________________________________________
	Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
	This list is for NEW development of the core SIP Protocol
	Use [email-masked] for questions on current sip
	Use [email-masked] for new developments on the application of sip

J*fj)b�	b��m��?�0�'�~���f��f��X��)ߣ�"�8b�X��+��DYׯzZ)�����ay�+y">�-��%RǬ����W�z{h��,r�n���y۟���z�b�{(�˫����*T��"����'�~��~��{^��h�g���'����bq�b�z�*